local mpc = req_rel(..., "util")

return gears.table.join(
	awful.key( {}, "XF86AudioPrev",
		function ()
			mpc.mpc_command("prev")
		end,
		{
			description = "Previous track",
			group = "MPC"
		}
	),

	awful.key( {}, "XF86AudioPlay",
		function ()
			mpc.mpc_command("toggle")
		end,
		{
			description = "Play/Pause",
			group = "MPC"
		}
	),

	awful.key( {}, "XF86AudioNext",
		function ()
			mpc.mpc_command("next")
		end,
		{
			description = "Next track",
			group = "MPC"
		}
	),

	awful.key( {"Mod4"}, "XF86AudioRaiseVolume",
		function ()
			mpc.mpc_command("vol +5")
		end,
		{
			description = "Volume up",
			group = "MPC"
		}
	),

	awful.key( {"Mod4"}, "XF86AudioLowerVolume",
		function ()
			mpc.mpc_command("vol -5")
		end,
		{
			description = "Volume down",
			group = "MPC"
		}
	)
)
